Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 18562)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -267,5 +267,5 @@
         $col = "category_id, category_name, level, rank";
         $where = "del_flg = 0 AND parent_category_id = ?";
-        $objQuery->setoption("ORDER BY rank DESC");
+        $objQuery->setOption("ORDER BY rank DESC");
         $arrRet = $objQuery->select($col, "dtb_category", $where, array($parent_category_id));
         return $arrRet;
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 18562)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 18562)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -262,6 +262,6 @@
                     default:
                         // 読み込む列とテーブルの指定
-                        $col = "product_id, name, main_list_image, status, product_code_min, product_code_max, price02_min, price02_max, stock_min, stock_max, stock_unlimited_min, stock_unlimited_max, update_date";
-                        $from = "vw_products_allclass_detail AS alldtl ";
+                        $col = "product_id, name, category_id, main_list_image, status, product_code, price01, price02, stock, stock_unlimited";
+                        $from = "vw_products_nonclass AS noncls ";
 
                         // 行数の取得
@@ -292,8 +292,8 @@
 
                         // 取得範囲の指定(開始行番号、行数のセット)
-                        //                    if(DB_TYPE != "mysql") $objQuery->setlimitoffset($page_max, $startno);
-                        $objQuery->setlimitoffset($page_max, $startno);
+                        //                    if(DB_TYPE != "mysql") $objQuery->setLimitOffset($page_max, $startno);
+                        $objQuery->setLimitOffset($page_max, $startno);
                         // 表示順序
-                        $objQuery->setorder($order);
+                        $objQuery->setOrder($order);
 
                         // 検索結果の取得
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 18432)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -298,5 +298,5 @@
         $arrRecommend = array();
         $objQuery = new SC_Query();
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
         $arrRet = $objQuery->select("recommend_product_id, comment", "dtb_recommend_products", "product_id = ?", array($product_id));
         $max = count($arrRet);
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 17202)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -132,10 +132,10 @@
 
             // 取得範囲の指定(開始行番号、行数のセット)
-            if(DB_TYPE != "mysql") $objQuery->setlimitoffset($page_max, $startno);
+            if(DB_TYPE != "mysql") $objQuery->setLimitOffset($page_max, $startno);
             // 表示順序
-            $objQuery->setorder($order);
+            $objQuery->setOrder($order);
 
             // viewも絞込みをかける(mysql用)
-            //sfViewWhere("&&noncls_where&&", $where, $arrval, $objQuery->order . " " .  $objQuery->setlimitoffset($page_max, $startno, true));
+            //sfViewWhere("&&noncls_where&&", $where, $arrval, $objQuery->order . " " .  $objQuery->setLimitOffset($page_max, $startno, true));
 
             // 検索結果の取得
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 18562)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 17651)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -240,8 +240,8 @@
 
             // 取得範囲の指定(開始行番号、行数のセット)
-            $objQuery->setlimitoffset($page_max, $startno);
+            $objQuery->setLimitOffset($page_max, $startno);
 
             // 表示順序
-            $objQuery->setorder($order);
+            $objQuery->setOrder($order);
 
             //検索結果の取得
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 16741)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -147,5 +147,5 @@
         // 規格分類の読込
         $where = "del_flg <> 1 AND class_id = ?";
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
         $this->arrClassCat = $objQuery->select("name, classcategory_id", "dtb_classcategory", $where, array($_GET['class_id']));
 
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 16741)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -125,5 +125,5 @@
         // 規格の読込
         $where = "del_flg <> 1";
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
         $this->arrClass = $objQuery->select("name, class_id", "dtb_class", $where);
         $this->arrClassCatCount = SC_Utils_Ex::sfGetClassCatCount();
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Trackback.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Trackback.php	(revision 18177)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_Trackback.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -216,8 +216,8 @@
 
             // 取得範囲の指定(開始行番号、行数のセット)
-            $objQuery->setlimitoffset($page_max, $startno);
+            $objQuery->setLimitOffset($page_max, $startno);
 
             // 表示順序
-            $objQuery->setorder($order);
+            $objQuery->setOrder($order);
 
             //検索結果の取得
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 18007)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -253,5 +253,5 @@
             $sql.= "FROM vw_cross_class AS crs_cls ";
             $sql.= "WHERE class_id1 = ? AND class_id2 = ? ORDER BY rank1 DESC, rank2 DESC;";
-            $arrRet = $objQuery->getall($sql, array($class_id1, $class_id2));
+            $arrRet = $objQuery->getAll($sql, array($class_id1, $class_id2));
         } else {
             // 規格1のみ
@@ -259,5 +259,5 @@
             $sql.= "FROM vw_cross_class AS crs_cls ";
             $sql.= "WHERE class_id1 = ? AND class_id2 = 0 ORDER BY rank1 DESC;";
-            $arrRet = $objQuery->getall($sql, array($class_id1));
+            $arrRet = $objQuery->getAll($sql, array($class_id1));
 
         }
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 18177)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_TrackbackEdit.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_TrackbackEdit.php	(revision 16582)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_TrackbackEdit.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/total/LC_Page_Admin_Total.php
===================================================================
--- /trunk/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 18432)
+++ /trunk/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -693,5 +693,5 @@
 
         $objQuery = new SC_Query();
-        $objPage->arrResults = $objQuery->getall($sql, $arrval);
+        $objPage->arrResults = $objQuery->getAll($sql, $arrval);
 
         // 円グラフの生成
@@ -711,5 +711,5 @@
 
         $objQuery = new SC_Query();
-        $objPage->arrResults = $objQuery->getall($sql, $arrval);
+        $objPage->arrResults = $objQuery->getAll($sql, $arrval);
 
         $max = count($objPage->arrResults);
@@ -740,5 +740,5 @@
 
         $objQuery = new SC_Query();
-        $objPage->arrResults = $objQuery->getall($sql, $arrval);
+        $objPage->arrResults = $objQuery->getAll($sql, $arrval);
 
         $max = count($objPage->arrResults);
@@ -782,5 +782,5 @@
         case 'month':
             $col = $tmp_col . ",key_month";
-            $objQuery->setgroupby("key_month");
+            $objQuery->setGroupBy("key_month");
             $objQuery->setOrder("key_month");
             $objPage->keyname = "key_month";
@@ -793,5 +793,5 @@
         case 'year':
             $col = $tmp_col . ",key_year";
-            $objQuery->setgroupby("key_year");
+            $objQuery->setGroupBy("key_year");
             $objQuery->setOrder("key_year");
             $objPage->keyname = "key_year";
@@ -804,5 +804,5 @@
         case 'wday':
             $col = $tmp_col . ",key_wday, wday";
-            $objQuery->setgroupby("key_wday, wday");
+            $objQuery->setGroupBy("key_wday, wday");
             $objQuery->setOrder("wday");
             $objPage->keyname = "key_wday";
@@ -815,5 +815,5 @@
         case 'hour':
             $col = $tmp_col . ",hour";
-            $objQuery->setgroupby("hour");
+            $objQuery->setGroupBy("hour");
             $objQuery->setOrder("hour");
             $objPage->keyname = "hour";
Index: /trunk/data/class/pages/admin/system/LC_Page_Admin_System_System.php
===================================================================
--- /trunk/data/class/pages/admin/system/LC_Page_Admin_System_System.php	(revision 17345)
+++ /trunk/data/class/pages/admin/system/LC_Page_Admin_System_System.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Masterdata.php
===================================================================
--- /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Masterdata.php	(revision 17345)
+++ /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Masterdata.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php
===================================================================
--- /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php	(revision 18562)
+++ /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Input.php
===================================================================
--- /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Input.php	(revision 18007)
+++ /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Input.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/system/LC_Page_Admin_System.php
===================================================================
--- /trunk/data/class/pages/admin/system/LC_Page_Admin_System.php	(revision 16582)
+++ /trunk/data/class/pages/admin/system/LC_Page_Admin_System.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Parameter.php
===================================================================
--- /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Parameter.php	(revision 17267)
+++ /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Parameter.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php
===================================================================
--- /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 17505)
+++ /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -240,5 +240,4 @@
                     $data = "";
                     foreach($arrData as $data_key => $data_val){
-                        //$val = str_replace("\"", "\\\"", $val);
                         $data .= $this->lfGetCSVList($arrData[$data_key]);
 
@@ -343,5 +342,5 @@
             foreach($array as $key => $val) {
                 $val = mb_convert_encoding($val, CHAR_CODE, CHAR_CODE);
-                $val = str_replace("\"", "\\\"", $val);
+                $val = str_replace("\"", "\"\"", $val);
                 $line .= "\"".$val."\",";
             }
@@ -399,5 +398,5 @@
 
     // テーブル構成を取得する
-    Function Lfgetcolumnlist($table_name){
+    Function LfgetColumnlist($table_name){
         $objQuery = new SC_Query();
 
@@ -458,5 +457,5 @@
         if ($where != "")	$sql .= $where;
 
-        $ret = $objQuery->getall($sql,$data);
+        $ret = $objQuery->getAll($sql,$data);
 
         return $ret;
@@ -591,5 +590,4 @@
             }
             $sql .= " );";
-            $data = str_replace("\\\"", "\"", $data);
             $err = $objQuery->query($sql, $data);
 
Index: /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Delete.php
===================================================================
--- /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Delete.php	(revision 16747)
+++ /trunk/data/class/pages/admin/system/LC_Page_Admin_System_Delete.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/LC_Page_Admin.php
===================================================================
--- /trunk/data/class/pages/admin/LC_Page_Admin.php	(revision 16741)
+++ /trunk/data/class/pages/admin/LC_Page_Admin.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php
===================================================================
--- /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 18562)
+++ /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /trunk/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 17653)
+++ /trunk/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -48,5 +48,5 @@
         $this->tpl_subno = "layout";
         $this->tpl_mainno = "design";
-        $this->tpl_subtitle = 'レイアウト編集';
+        $this->tpl_subtitle = 'レイアウト設定';
     }
 
Index: /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php
===================================================================
--- /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php	(revision 16741)
+++ /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php
===================================================================
--- /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php	(revision 16741)
+++ /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php
===================================================================
--- /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 17653)
+++ /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -50,5 +50,5 @@
         $this->tpl_subno = "main_edit";
         $this->tpl_mainno = "design";
-        $this->tpl_subtitle = 'ページ詳細設定';
+        $this->tpl_subtitle = 'ページ詳細編集';
     }
 
@@ -111,5 +111,5 @@
 
             // ディレクトリを画面表示用に編集
-            $arrPageData[0]['directory'] = str_replace( USER_DIR,'', $arrPageData[0]['php_dir']);
+            $arrPageData[0]['directory'] = str_replace(USER_DIR, '', $arrPageData[0]['php_dir']);
 
             $this->arrPageData = $arrPageData[0];
@@ -133,5 +133,5 @@
             $arrPreData = $this->objLayout->lfgetPageData("page_id = ?" , array($page_id));
             
-            // tplファイルの削除
+            // tplファイルの削除 (XXX: 処理の意図が不明。存在していると都合が悪いファイル?)
             $del_tpl = USER_PATH . "templates/" . $arrPreData[0]['filename'] . '.tpl';
             if (file_exists($del_tpl)){
@@ -193,17 +193,15 @@
                     $this->objLayout->lfDelFile($arrPageData[0]);
                     // PHPファイル作成
-                    $cre_php = USER_PATH . $_POST['url'] . ".php";
-                    $this->lfCreatePHPFile($cre_php);
+                    $this->lfCreatePHPFile($_POST['url']);
                 }
 
                 // TPLファイル作成
                 $cre_tpl = USER_TEMPLATE_PATH . "/" . TEMPLATE_NAME . "/" . basename($_POST['url']) . '.tpl';
-
                 $this->lfCreateFile($cre_tpl);
 
-                // 編集可能ページの場合にのみ処理を行う
-                if ($arrPageData[0]['edit_flg'] != 2) {
-                    // 新規作成した場合のために改にページIDを取得する
-                    $arrPageData = $this->objLayout->lfgetPageData(" url = ? " , array(USER_URL.$_POST['url'].".php"));
+                // 新規作成の場合、
+                if ($page_id == '') {
+                    // ページIDを取得する
+                    $arrPageData = $this->objLayout->lfgetPageData(" url = ? AND page_id <> 0" , array(USER_URL.$_POST['url'] . ".php"));
                     $page_id = $arrPageData[0]['page_id'];
                 }
@@ -212,16 +210,16 @@
                                               "msg"     => "on")));
 				exit;
-            }else{
+            } else {
                 // エラーがあれば入力時のデータを表示する
                 $this->arrPageData = $_POST;
                 $this->arrPageData['header_chk'] = SC_Utils_Ex::sfChangeCheckBox(SC_Utils_Ex::sfChangeCheckBox($_POST['header_chk']), true);
                 $this->arrPageData['footer_chk'] = SC_Utils_Ex::sfChangeCheckBox(SC_Utils_Ex::sfChangeCheckBox($_POST['footer_chk']), true);
-                $this->arrPageData['directory'] = $_POST['url'];
-                $this->arrPageData['filename'] = "";
+                $this->arrPageData['directory'] = '';
+                $this->arrPageData['filename'] = $_POST['url'];
             }
         }
 
         // データ削除処理 ベースデータでなければファイルを削除
-        if ($_POST['mode'] == 'delete' and 	!$this->objLayout->lfCheckBaseData($page_id)) {
+        if ($_POST['mode'] == 'delete' and !$this->objLayout->lfCheckBaseData($page_id)) {
             $this->objLayout->lfDelPageData($_POST['page_id']);
             $this->sendRedirect($this->getLocation("./main_edit.php"));
@@ -281,5 +279,5 @@
             $sql .= " ) VALUES ( ?,?,?,?,?,?,?,?,now(),now() )";
             $sql .= " ";
-        }else{
+        } else {
             // データが存在してる場合にはアップデートを行う
             // SQL生成
@@ -318,24 +316,33 @@
         if ($this->objLayout->lfCheckBaseData($arrData['page_id'])) {
             $arrPageData = $this->objLayout->lfgetPageData( ' page_id = ? ' , array($arrData['page_id']));
+            
             $name = $arrPageData[0]['page_name'] ;
             $url = $arrPageData[0]['url'];
+            $php_dir = $arrPageData[0]['php_dir'];
             $filename = $arrPageData[0]['filename'];
-        }else{
+        } else {
             $name = $arrData['page_name'] ;
-            $url = USER_URL.$arrData['url'].".php";
-            $filename = basename($arrData['url']);
+            $url = USER_DIR . $arrData['url'] . '.php';
+            $php_dir = dirname($url);
+            if ($php_dir == '.') {
+                $php_dir = '';
+            } else {
+                $php_dir .= '/';
+            }
+            $tpl_dir = substr(TPL_DIR, strlen(URL_DIR));
+            $filename = basename($arrData['url']); // 拡張子を付加しない
         }
         
         // 更新データ配列の作成
         $arrUpdData = array(
-                            $name										// 名称
-                            ,$url										// URL
-                            ,$php_dir									// PHPディレクトリ
-                            ,$tpl_dir									// TPLディレクトリ
-                            ,$filename									// ファイル名
-                            ,SC_Utils_Ex::sfChangeCheckBox($arrData['header_chk'])	// ヘッダー使用
-                            ,SC_Utils_Ex::sfChangeCheckBox($arrData['footer_chk'])	// フッター使用
-                            ,$_SERVER['HTTP_REFERER']					// 更新URL
-                            );
+            $name                                                   // 名称
+            ,$url                                                   // URL
+            ,$php_dir                                               // PHPディレクトリ
+            ,$tpl_dir                                               // TPLディレクトリ
+            ,$filename                                              // ファイル名
+            ,SC_Utils_Ex::sfChangeCheckBox($arrData['header_chk'])  // ヘッダー使用
+            ,SC_Utils_Ex::sfChangeCheckBox($arrData['footer_chk'])  // フッター使用
+            ,$_SERVER['HTTP_REFERER']                               // 更新URL
+        );
 
         return $arrUpdData;
@@ -354,21 +361,38 @@
 
         // URLチェック
-        if (substr(strrev(trim($array['url'])),0,1) == "/") {
+        $okUrl = true;
+        foreach (explode('/', $array['url']) as $url_part) {
+            if (!ereg( '^[a-zA-Z0-9:_~\.-]+$', $url_part)) {
+                $okUrl = false;
+            }
+            if ($url_part == '.' || $url_part == '..') {
+                $okUrl = false;
+            }
+        }
+        if (!$okUrl) {
             $objErr->arrErr['url'] = "※ URLを正しく入力してください。<br />";
         }
-
-        $check_url = USER_URL . $array['url'] . ".php";
-        if( strlen($array['url']) > 0 && !ereg( "^https?://+($|[a-zA-Z0-9:_~=&\?\.\/-])+$", $check_url ) ) {
-            $objErr->arrErr['url'] = "※ URLを正しく入力してください。<br />";
-        }
-
+        
         // 同一のURLが存在している場合にはエラー
-        if(!isset($objErr->arrErr['url']) and $array['url'] !== ''){
-        	// URLのチェック（プレビュー用のレコードは含まない）
-            $arrChk = $this->objLayout->lfgetPageData(" url = ? AND page_id <> 0" , array(USER_URL . $array['url'].".php"));
-
-            if (count($arrChk[0]) >= 1 and $arrChk[0]['page_id'] != $array['page_id']) {
-                $objErr->arrErr['url'] = '※ 同じURLのデータが存在しています。別のURLを付けてください。<br />';
-            }
+        $sqlWhere = '';
+        $params = array();
+        
+        $sqlWhere .= ' (url = ? OR url = ?)';
+        $params[] = USER_DIR . $array['url'] . '.php';
+        $params[] = USER_URL . $array['url'] . '.php'; // 従来形式
+
+        // プレビュー用のレコードは除外
+        $sqlWhere .= ' AND page_id <> 0';
+
+        // 変更の場合、自身のレコードは除外
+        if (strlen($array['page_id']) != 0) {
+            $sqlWhere .= ' AND page_id <> ?';
+            $params[] = $array['page_id'];
+        }
+
+        $arrChk = $this->objLayout->lfgetPageData($sqlWhere , $params);
+
+        if (count($arrChk) >= 1) {
+            $objErr->arrErr['url'] = '※ 同じURLのデータが存在しています。別のURを付けてください。<br />';
         }
 
@@ -401,6 +425,8 @@
      * @return void
      */
-    function lfCreatePHPFile($path){
-
+    function lfCreatePHPFile($url){
+
+        $path = USER_PATH . $url . ".php";
+        
         // php保存先ディレクトリが存在していなければ作成する
         if (!is_dir(dirname($path))) {
@@ -414,5 +440,5 @@
 
         // require.phpの場所を書き換える
-        $php_data = str_replace("###require###", HTML_PATH . "require.php", $php_data);
+        $php_data = str_replace("###require###", str_repeat('../', substr_count($url, '/')) . '../require.php', $php_data);
 
         // phpファイルの作成
Index: /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php
===================================================================
--- /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 17735)
+++ /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -322,5 +322,5 @@
 	    $objQuery = new SC_Query();
 	    $sql = "SELECT directory_name,cart_flg FROM dtb_campaign WHERE del_flg = 0";
-	    $result = $objQuery->getall( $sql );
+	    $result = $objQuery->getAll( $sql );
 	    //デザインテンプレートディレクトリにファイルが存在するか確認
 	    foreach( $result as $key => $val ){
